# $Revision: 1.26 $, $Date: 2009/05/07 12:28:57 $
Summary:	Lincity - a Next Generation city/country simulation
Summary(pl.UTF-8):	Lincity - symulator miasta/kraju Następnej Generacji
Name:		lincity-ng
Version:	2.0
Release:	2
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://download.berlios.de/lincity-ng/%{name}-%{version}.tar.bz2
# Source0-md5:	1bd0f58e0f2b131d70044f4230600ed1
Patch0:		%{name}-desktop.patch
URL:		http://lincity-ng.berlios.de/wiki/index.php/Main_Page
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel >= 1.2.5
BuildRequires:	SDL_gfx-devel >= 2.0.13
BuildRequires:	SDL_image-devel >= 1.2.3
BuildRequires:	SDL_mixer-devel >= 1.2.4
BuildRequires:	SDL_ttf-devel >= 2.0.8
BuildRequires:	gettext-devel
BuildRequires:	jam >= 2.5
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.6.11
BuildRequires:	physfs-devel >= 1.0.0
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel >= 1.0
# needs jam from jam.spec
BuildConflicts:	boost-jam
Requires:	SDL >= 1.2.5
Requires:	SDL_gfx >= 2.0.13
Requires:	SDL_image >= 1.2.3
Requires:	SDL_mixer >= 1.2.4
Requires:	SDL_ttf >= 2.0.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		filterout	-DNDEBUG

%description
You are required to build and maintain a city. You must feed, house,
provide jobs and goods for your residents. You can build a sustainable
economy with the help of renewable energy and recycling, or you can go
for broke and build rockets to escape from a pollution ridden and
resource starved planet, it's up to you. Due to the finite resources
available in any one place, this is not a game that you can leave for
long periods of time.

%description -l pl.UTF-8
Trzeba wybudować miasto i nim zarządzać. Trzeba karmić mieszkańców,
zapewnić im mieszkanie, pracę i inne dobra. Można stworzyć solidną
gospodarkę korzystając z odnawialnych źródeł energii i przetwórstwa
odpadów. Można też wielkim wysiłkiem zbudować rakiety, aby uciec z
zanieczyszczonej, pozbawionej zasobów planety. Całe życie miasta
znajduje się w rękach gracza.

%prep
%setup -q
%patch0 -p1
%{__sed} 's/ -O3 -g / /' -i Jamrules

%build
%configure
jam

%install
rm -rf $RPM_BUILD_ROOT

jam -s DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING-* CREDITS README TODO RELNOTES
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.pal
%{_datadir}/%{name}/*.xml
%{_datadir}/%{name}/fonts
%{_datadir}/%{name}/images
%{_datadir}/%{name}/gui
%{_datadir}/%{name}/sounds
%{_datadir}/%{name}/music
%{_datadir}/%{name}/opening
%dir %{_datadir}/%{name}/help
%lang(ca) %{_datadir}/%{name}/help/ca
%lang(cs) %{_datadir}/%{name}/help/cs
%lang(de) %{_datadir}/%{name}/help/de
%lang(en) %{_datadir}/%{name}/help/en
%lang(es) %{_datadir}/%{name}/help/es
%lang(fr) %{_datadir}/%{name}/help/fr
%lang(gl) %{_datadir}/%{name}/help/gl
%lang(nl) %{_datadir}/%{name}/help/nl
%lang(pt_BR) %{_datadir}/%{name}/help/pt_BR
%lang(ru) %{_datadir}/%{name}/help/ru
%lang(sv) %{_datadir}/%{name}/help/sv
%lang(tr) %{_datadir}/%{name}/help/tr
%dir %{_datadir}/%{name}/locale
%dir %{_datadir}/%{name}/locale/gui
%lang(ca) %{_datadir}/%{name}/locale/ca.po
%lang(ca) %{_datadir}/%{name}/locale/gui/ca.po
%lang(cs) %{_datadir}/%{name}/locale/cs.po
%lang(cs) %{_datadir}/%{name}/locale/gui/cs.po
%lang(da) %{_datadir}/%{name}/locale/da.po
%lang(de) %{_datadir}/%{name}/locale/de.po
%lang(de) %{_datadir}/%{name}/locale/gui/de.po
%lang(es) %{_datadir}/%{name}/locale/es.po
%lang(es) %{_datadir}/%{name}/locale/gui/es.po
%lang(fr) %{_datadir}/%{name}/locale/fr.po
%lang(fr) %{_datadir}/%{name}/locale/gui/fr.po
%lang(gl) %{_datadir}/%{name}/locale/gl.po
%lang(gl) %{_datadir}/%{name}/locale/gui/gl.po
%lang(ja) %{_datadir}/%{name}/locale/ja.po
%lang(ja) %{_datadir}/%{name}/locale/gui/ja.po
%lang(nl) %{_datadir}/%{name}/locale/nl.po
%lang(nl) %{_datadir}/%{name}/locale/gui/nl.po
%lang(pl) %{_datadir}/%{name}/locale/pl.po
%lang(pl) %{_datadir}/%{name}/locale/gui/pl.po
%lang(pt_BR) %{_datadir}/%{name}/locale/pt_BR.po
%lang(pt_BR) %{_datadir}/%{name}/locale/gui/pt_BR.po
%lang(ru) %{_datadir}/%{name}/locale/ru.po
%lang(ru) %{_datadir}/%{name}/locale/gui/ru.po
%lang(sv) %{_datadir}/%{name}/locale/sv.po
%lang(sv) %{_datadir}/%{name}/locale/gui/sv.po
%lang(tr) %{_datadir}/%{name}/locale/tr.po
%lang(tr) %{_datadir}/%{name}/locale/gui/tr.po
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lincity-ng.spec,v $
Revision 1.26  2009/05/07 12:28:57  megabajt
- release 2

Revision 1.25  2009/02/28 17:05:49  sparky
- Group: X11/Applications/Games

Revision 1.24  2009/02/03 18:51:36  qboosh
- reformatted using PROPER encoding

Revision 1.23  2009/01/30 14:51:14  lisu
- fix typo in install section

Revision 1.22  2009/01/30 14:47:43  lisu
- up to final 2.0 version
- merge
- add Catalan help files, and Danish translation

Revision 1.21  2009/01/23 19:31:58  megabajt
- BC: boost-jam (needs jam from jam.spec to build)
- release 3

Revision 1.20  2009/01/12 20:14:00  arekm
- release 2

Revision 1.19.2.5  2009/01/01 20:45:16  lisu
- up to 1.97.beta
- BR: OpenGL-GLU-devel
- adapter

Revision 1.19.2.4  2008/11/21 14:51:25  lisu
- some cleanup

Revision 1.19.2.3  2008/11/21 14:33:31  lisu
- and more help files

Revision 1.19.2.2  2008/11/21 14:28:19  lisu
- up to 1.92.beta
- more translation files

Revision 1.19.2.1  2007/12/25 20:34:24  lisu
- up to 1.91.beta

Revision 1.19  2007-11-05 01:57:33  wolvverine
- up to 1.1.2

Revision 1.18  2007/08/23 05:11:38  lisu
- 1.1.1 version
- pt_BR help files included
- merged

Revision 1.14.2.2  2007/08/12 22:26:19  lisu
- desktop.patch added
- some new lang files

Revision 1.14.2.1  2007/08/12 12:03:49  lisu
- 1.1.1pre
- no Portuguese files in this version

Revision 1.14  2007/03/14 22:09:06  sparky
- added translations, builds and works, rel 1

Revision 1.13  2007/03/14 21:07:14  sparky
- started update, failt to build

Revision 1.12  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.10  2006/04/16 16:38:38  qboosh
- missing dirs

Revision 1.9  2006/04/16 14:30:25  jajcus
- Version: 1.0.3
- more localized files

Revision 1.8  2005/08/09 12:04:17  blekot
- up to 1.0.1

Revision 1.7  2005/06/30 20:45:07  sparky
- BR: OpenGL-devel, pkgconfig, libstdc++-devel

Revision 1.6  2005/06/23 14:52:45  wolf
- 1.0

Revision 1.5  2005/06/04 14:51:14  qboosh
- missing dirs, (non-versioned) SDL_gfx dep should be autogenerated

Revision 1.4  2005/06/04 11:49:24  koorek
- added R
- include docs

Revision 1.3  2005/06/02 20:02:20  qboosh
- missing dirs and -devel in BRs

Revision 1.2  2005/06/02 08:30:45  spider
- missing BR

Revision 1.1  2005/06/02 03:23:41  koorek
- new, from lincity.spec (heavy modified)
- build/work OK
- NFY
